import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

//image einbetten
import javax.imageio.*;
import java.net.*;
import java.io.*;

/**
  *
  * Beschreibung
  *
  * @version 1.0 vom 10.10.2010
  * @author Christine Janischek
  */


public class Hauptfenster extends JApplet {
  // Anfang Attribute
  private JLabel lbBenutzername = new JLabel();
  private JTextField tfBenutzername = new JTextField();
  private JLabel lbPassword = new JLabel();
  private JTextField tfPasswort = new JTextField();
  private JButton btAnmelden = new JButton();
  private Image image;
  BackgroundPanel bg = new BackgroundPanel();
  private JButton btBenutzerHinzufuegen = new JButton();
  private JLabel lbName = new JLabel();
  private JTextField tfName = new JTextField();
  private JLabel lbVorname = new JLabel();
  private JTextField tfVorname = new JTextField();
  private JLabel lbBerufsstatus = new JLabel();
  private JTextField tfBerufsstatus = new JTextField();
  private JLabel lbPersonID = new JLabel();
  private JTextField tfPersonID = new JTextField();
  private JButton btEingabenLeeren = new JButton();
  private JLabel lbMeldung = new JLabel();
  private JTextField tfMeldung = new JTextField();
  // Ende Attribute

  public void init() {
    Container cp = getContentPane();
    cp.setLayout(null);
    cp.setBounds(0, 0, 613, 357);
   //Hintergrundgrafik laden
    try {
      image = ImageIO.read(getClass().getResource("background.jpg"));
    }
    catch(IllegalArgumentException iae) {
      JOptionPane.showMessageDialog(this, "Grafikdatei nicht gefunden!");
    }
    catch(IOException ioe) {
      JOptionPane.showMessageDialog(this, "Fehler beim Einlesen der Grafikdatei!");
    }
    bg.setSize(179,357);
    bg.setVisible(true);
    cp.add(bg);
    // Anfang Komponenten

    lbBenutzername.setBounds(186, 184, 89, 16);
    lbBenutzername.setText("Benutzername:");
    lbBenutzername.setFont(new Font("MS Sans Serif", Font.PLAIN, 13));
    cp.add(lbBenutzername);
    tfBenutzername.setBounds(344, 176, 265, 24);
    tfBenutzername.setText("tfBenutzername");
    cp.add(tfBenutzername);
    lbPassword.setBounds(186, 224, 58, 16);
    lbPassword.setText("Passwort:");
    lbPassword.setFont(new Font("MS Sans Serif", Font.PLAIN, 13));
    cp.add(lbPassword);
    tfPasswort.setBounds(344, 216, 265, 24);
    tfPasswort.setText("tfPasswort");
    cp.add(tfPasswort);
    btAnmelden.setBounds(510, 259, 97, 25);
    btAnmelden.setText("Anmelden");
    btAnmelden.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        btAnmelden_ActionPerformed(evt);
      }
    });
    cp.add(btAnmelden);
    btBenutzerHinzufuegen.setBounds(182, 259, 153, 25);
    btBenutzerHinzufuegen.setText("Benutzer hinzufgen");
    btBenutzerHinzufuegen.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        btBenutzerHinzufuegen_ActionPerformed(evt);
      }
    });
    cp.add(btBenutzerHinzufuegen);
    lbName.setBounds(186, 16, 40, 16);
    lbName.setText("Name:");
    lbName.setFont(new Font("MS Sans Serif", Font.PLAIN, 13));
    cp.add(lbName);
    tfName.setBounds(344, 8, 265, 24);
    tfName.setText("tfName");
    cp.add(tfName);
    lbVorname.setBounds(186, 56, 58, 16);
    lbVorname.setText("Vorname:");
    lbVorname.setFont(new Font("MS Sans Serif", Font.PLAIN, 13));
    cp.add(lbVorname);
    tfVorname.setBounds(344, 48, 265, 24);
    tfVorname.setText("tfVorname");
    cp.add(tfVorname);
    lbBerufsstatus.setBounds(186, 96, 116, 16);
    lbBerufsstatus.setText("Berufsstatus:");
    lbBerufsstatus.setFont(new Font("MS Sans Serif", Font.PLAIN, 13));
    cp.add(lbBerufsstatus);
    tfBerufsstatus.setBounds(344, 88, 265, 24);
    tfBerufsstatus.setText("tfBerufsstatus");
    cp.add(tfBerufsstatus);
    lbPersonID.setBounds(186, 136, 62, 16);
    lbPersonID.setText("Person ID:");
    lbPersonID.setFont(new Font("MS Sans Serif", Font.PLAIN, 13));
    cp.add(lbPersonID);
    tfPersonID.setBounds(344, 128, 265, 24);
    tfPersonID.setText("tfPersonID");
    cp.add(tfPersonID);
    btEingabenLeeren.setBounds(342, 259, 161, 25);
    btEingabenLeeren.setText("Eingabefelder leeren");
    btEingabenLeeren.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        btEingabenLeeren_ActionPerformed(evt);
      }
    });
    cp.add(btEingabenLeeren);
    lbMeldung.setBounds(186, 304, 55, 16);
    lbMeldung.setText("Meldung:");
    lbMeldung.setFont(new Font("MS Sans Serif", Font.PLAIN, 13));
    cp.add(lbMeldung);
    tfMeldung.setBounds(272, 296, 337, 24);
    tfMeldung.setText("tfMeldung");
    cp.add(tfMeldung);
    // Ende Komponenten

  }
  // Anfang Methoden
  public void btBenutzerHinzufuegen_ActionPerformed(ActionEvent evt) {
    // TODO hier Quelltext einfgen

  }

  public void btEingabenLeeren_ActionPerformed(ActionEvent evt) {
    tfPersonID.setText("");
    tfName.setText("");
    tfVorname.setText("");
    tfBerufsstatus.setText("");
    tfBenutzername.setText("");
    tfPasswort.setText("");
    tfMeldung.setText("");
    // TODO hier Quelltext einfgen
  }
  
  public void btAnmelden_ActionPerformed(ActionEvent evt) {
    // TODO hier Quelltext einfgen
  }
  // Ende Methoden
  //Eingebettete Klasse fuer das Panel der Hindtergrundgrafik-Komponente
  public class BackgroundPanel extends JPanel
  {
        public void paintComponent(Graphics g) {
           super.paintComponent(g);
           if(image != null) {
              g.drawImage(image, 0, 0, this);
           }
        }

  }
}
